VisualEditor: Using browser native interactive spell-check tool adds the missing letters to the DM, but at the top of the page in Chrome
Closed, ResolvedPublic

Description

Intention:
Correct the spelling of a word

Steps to Reproduce:

  1. Open a page in Chrome.
  1. Pick a word that Chrome believes is misspelled.
  1. Right-click to correct the spelling.
  1. Save the page and check the diff.

Actual Results:
Trying to change "Minories" to "Minorities" resulted in the missing "ti" being added at the very top of the page, rather than in the proper place. (See http://en.wikipedia.org/w/index.php?title=User:Edgepedia/sandbox1&diff=next&oldid=602158018)

Reproducible: Didn't try

This may be related to Bug 50822 or Bug 59748.

Reported in Chrome Version 33.0.1750.154 m on Windows 7 using Vector. Cannot be reproduced in Safari 6 (although there are other spelling problems in Safari.)


Version: unspecified
Severity: major
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=50822

Whatamidoing-WMF created this task.Via LegacyApr 1 2014, 10:42 PM
Whatamidoing-WMF added a comment.Via ConduitApr 22 2014, 5:12 PM
  • Bug 63652 has been marked as a duplicate of this bug. ***
bzimport added a comment.Via ConduitApr 22 2014, 6:25 PM

pearley wrote:

This is also an active bug for Firefox users, tested on FF 28. Same steps to reproduce as above, same result (the corrected characters are added to both the word highlighted by the spellchecker, and the top of the document)

Note: the unwanted text can be removed with the "Undo" button. However, you can't "Undo" your spelling correction, undo goes grey after the first action)

gpaumier added a comment.Via ConduitMay 8 2014, 7:10 AM

Just a note that this is still happening: https://www.mediawiki.org/w/index.php?diff=prev&oldid=997038

NicoV added a comment.Via ConduitMay 23 2014, 9:54 AM

It's still happening, several times a day on frwiki. If you need examples, there's an abuse filter set in place in frwiki that catches some of the problems

https://fr.wikipedia.org/w/index.php?title=Sp%C3%A9cial:Journal_du_filtre_antiabus&wpSearchFilter=216

Esanders added a comment.Via ConduitAug 25 2014, 5:09 PM

Can't reproduce in FF or Chrome...

Jdforrester-WMF added a comment.Via ConduitAug 25 2014, 5:23 PM

Might this be caused by ancient versions of Firefox/Chrome caused in part by some config of frwiki, or a bug in their dictionary app, or something?

Jaredzimmerman-WMF added a comment.Via ConduitAug 25 2014, 6:01 PM

This was happening in new versions of chrome as recently as a month ago, I can no longer reproduce.

NicoV added a comment.Via ConduitAug 25 2014, 8:29 PM

According to a post on frwiki VE feedback page:

If you look at abuse filter 216, problem stopped to happen on June 19th, just after 1.24wmf9 being deployed, so probably a bug fixed in this release (in UTC+2 for Paris):
14h38 - 128.179.139.136
15h08 - 91.183.82.40
16h26 - 92.94.142.126 (not save)
19h00 - 195.101.137.28
19h22 - 195.101.137.28
20h35 - 87.90.125.24
20h35 - 90.32.27.10
21h12 - 41.189.42.250
23h07 - 1.24wmf9 on WP:fr [2]

[1] https://fr.wikipedia.org/w/index.php?title=Spécial:Journal_du_filtre_antiabus&wpSearchFilter=216
[2] https://wikitech.wikimedia.org/wiki/Server_admin_log

Jdforrester-WMF added a comment.Via ConduitAug 25 2014, 11:58 PM

In that case, marking as FIXED in that release. Unsatisfying, but…

Add Comment